# class ActiveSupport::Testing::ProxyTestResult

### Public Class Methods

new() click to toggle source

    # File lib/active_support/testing/isolation.rb, line 15
    def initialize
      @calls = []
    end

### Public Instance Methods

__replay__(result) click to toggle source

    # File lib/active_support/testing/isolation.rb, line 24
    def __replay__(result)
      @calls.each do |name, args|
        result.send(name, *args)
      end
    end

add_error(e) click to toggle source

    # File lib/active_support/testing/isolation.rb, line 19
    def add_error(e)
      e = Test::Unit::Error.new(e.test_name, RemoteError.new(e.exception))
      @calls << [:add_error, e]
    end

method_missing(name, *args) click to toggle source

    # File lib/active_support/testing/isolation.rb, line 30
    def method_missing(name, *args)
      @calls << [name, args]
    end